#ifndef modBox_H
#define modBox_H
class modBox;
#include "main.h"
#include <ktopwidget.h>
#include <ktoolbar.h>

#include <qlistview.h>
#include <qheader.h>

#define BOTON_INS      0
#define BOTON_TEXTO    1
#define BOTON_AYUDA    2
#define BOTON_ACERCADE 3
#define BOTON_CDPP     4
#define BOTON_TODOS    5
#define BOTON_HOME     6
#define BOTON_GUARDAR  7

class
modBox : public KTopLevelWidget
{
private:
	 Q_OBJECT
	 QListView *archivos;
	 QTimer *timer;
	 QLabel *label_titulo;
	 QLabel *camino;
	 QListBox *instrumentos;
	 QLabel *label2;
	 QLabel *labeltitulo;
         QLabel *labelTipo;
         QLabel *labelCanales;
	 clasePattern *lcd_pattern;
	 claseTiempo *lcd_tiempo;
         KToolBar *barra;
	 QLabel *label1;
	 claseVolumen *slide_volumen;
	 QPushButton *previa;
	 QPushButton *retroceder;
	 QPushButton *tocar;
	 QPushButton *avanzar;
	 QPushButton *siguiente;
	 QPushButton *parar;
	 QPushButton *boton_config;
	 claseLcdVolumen *lcd_volumen;
         claseSliderTiempo *slider_tiempo;
         bool no_avanzar;
	 int inicializar_sonido();
         KConfig *config;
	 QPixmap *boton_tocar;
	 QPixmap *boton_pausa;
	 QPixmap *imagen_dir;
	 QPixmap *imagen_arch;
         QPixmap *imagen_todos;
         QDir *directorio;
         QString aux;
public:
	 modBox();
	 ~modBox();
	 int volumen;
	 void actualizar_archivos(const char *dir);
	 MODULE *modulo;
	 void nuevo_mod( const char *nombre );
	 int volumen_ant;
	 SWORD pattern_ant;
	 QTime *reloj;
	 int reloj_ant;
	 int estado;
	 bool cambio_sel;
	 int tiempo_pausa;
	 int inicio_pausa;
	 void info_modulo();
         void reset_mikmod();
protected:
         virtual void closeEvent( QCloseEvent *);
signals:
         void quiero_conf();
         void cambiar_texto( char *);
         void cambiar_ins(MODULE *);
         void mostrar_texto( bool );
         void mostrar_ins(bool);
public slots:
         void mostrar_todos( bool );
         void ocultar_texto();
         void ocultar_ins();
	 void cambiar_volumen(int vol);
         void cambiar_pattern(int pat);
         void actualizar_texto(bool);
         void actualizar_ins(bool);
	 void actualizar_tiempo();
	 void actualizar_pattern();
	 void seleccionado(QListViewItem *x);
	 void subir_directorio();
	 void actualizar_sonido();
	 void parar_modulo();
	 void click_tocar();
	 void cambio_seleccion(QListViewItem *x);
         void click_home();
         void click_guardar();
	 void click_siguiente();
	 void click_previa();
	 void click_avanzar();
	 void click_retroceder();
	 void click_config();
	 void acerca_de();
         void click_ayuda();
         void actualizar_conf();
};
#endif
